Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Data Points

Create Data Point
POST /dataSets/{dataSetId}/dataPoints
https://api.uat.relesystest.net/api/v1.4/dataSets/{dataSetId}/dataPoints
Creates a DataPoint based on a parent DataSetId, and ties the DataPoint to a Department and/or User, if those values are provided.
Scopes: relesys.api, relesys.api:write, relesys.api.kpis, relesys.api.kpis:write
URL Path
dataSetId string / guid The data set's unique identifier required
Request Body
application/json
object
  departmentId string / guid optional
  label string optional
  timeStamp datetimeoffset optional
  userId string / guid optional
  value double optional
Responses
application/json
JSON
{"data":{"label":"Avg. Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":278.0,"departmentId":"603883ff-7621-42d8-a786-5979cc6fb126","userId":"07d1b3ee-2c36-4ae4-a5b2-093ec5c40ff5"}}
object
  data object      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double